// Oleg Petruny proprietary.

#pragma once

#include "GameFramework/Actor.h"

#include "CrossyRoadObstacle.generated.h"

UCLASS(Blueprintable, BlueprintType, MinimalAPI, Abstract)
class ACrossyRoadObstacle : public AActor
{
    GENERATED_BODY()

public:
    UFUNCTION(BlueprintCallable)
    void Hit();

    class ACrossyRoadManager* manager = nullptr;

};

